Bug 439853 - ATI driver update has serious performance regression
ATI driver update has serious performance regression
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 15:10 EDT by Chris Elmquist
Modified: 2009-01-09 02:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:45:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf that I normally run with (780 bytes, text/plain)
2008-04-03 09:34 EDT, Chris Elmquist
no flags Details
Xorg.0.log before removing /etc/X11/xorg.conf (56.01 KB, text/plain)
2008-04-03 09:34 EDT, Chris Elmquist
no flags Details
Xorg.0.log after removing /etc/X11/xorg.conf (59.32 KB, text/plain)
2008-04-03 09:35 EDT, Chris Elmquist
no flags Details

  None (edit)
Description Chris Elmquist 2008-03-31 15:10:28 EDT
Description of problem:

performance regression in ATI driver causes extremely slow scrolling in apps
such as Firefox

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.8.0-1.fc8

How reproducible:

visit:
    http://www.atmel.com/dyn/products/devices.asp?family_id=607#1761

and attempt to scroll up and down through the list.  The display cannot keep
up with the scrolling and CPU meter will peg.

Using Firefox 2.0.0.13 as latest FC8 update.

Reconfigure X to use VESA driver instead of ATI and problem goes away. 
Scrolling is smooth and keeps up.

Problem exists on desktop system with Sapphire X550 and on two laptops
both Dell 600m, with Radeon RV250 [Mobility FireGL 9000].  A third laptop,
Dell Vostro 1500 with 
Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller exhibits
no such problem.  All systems running latest updated FC8 as of 3/31/08.

Actual results:

Scrolling and other graphics performance has regressed with latest ATI
driver update.

Expected results:

Didn't expect huge performance regression


Additional info:

Also tried ATI proprietary driver from their website and found same performance
problem.  Appears to be common defect between the two.  Best performance now
found with VESA driver for ATI cards.  Not good.
Comment 1 Matěj Cepl 2008-04-02 18:48:11 EDT
It cannot be a common problem with proprietary driver, because we don't share
ANY code with them. Please attach your X server config file (/etc/X11/xorg.conf)
and X server log file (/var/log/Xorg.*.log) to the bug report as individual
uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Chris Elmquist 2008-04-03 09:34:02 EDT
Created attachment 300242 [details]
xorg.conf that I normally run with
Comment 3 Chris Elmquist 2008-04-03 09:34:52 EDT
Created attachment 300243 [details]
Xorg.0.log before removing /etc/X11/xorg.conf
Comment 4 Chris Elmquist 2008-04-03 09:35:30 EDT
Created attachment 300245 [details]
Xorg.0.log after removing /etc/X11/xorg.conf
Comment 5 Chris Elmquist 2008-04-03 09:41:33 EDT
It is possible this problem lies in another X11 component and not the ATI
driver however I can still vouche for the fact that using the VESA driver
instead of the ATI driver significantly improves the performance of scrolling
text in the Firefox browser window.

I however do not want to run with the VESA driver because I loose other
functionality-- such as screen blanking and monitor power down.

Additionally, I have reverted Firefox to the version 2.0.0.8 that was originally
distributed with FC8 and the problem still remains.  So I do not blame Firefox
for this issue.

Comment 6 Bug Zapper 2008-11-26 05:19:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:45:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.